Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 909713 (Horde_History)

Summary: Review Request: php-horde-Horde-History - API for tracking the history of an object
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Shawn Iwinski <shawn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: nb, package-review, shawn
Target Milestone: ---Flags: shawn: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php-horde-Horde-History-2.2.1-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-18 07:56:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 785424, 785436, 785472    
Bug Blocks: 908329, 929041    
Attachments:
Description Flags
phpcompatinfo.log
none
fedora-review.txt none

Description Remi Collet 2013-02-10 17:03:44 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/d434967980ca67fc24dd5d61c38ecab844a55dbd/php/horde/php-horde-Horde-History/php-horde-Horde-History.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-History-2.0.1-2.remi.src.rpm
Description: 
The Horde_History API provides a way to track changes on arbitrary pieces
of data in Horde applications.

Fedora Account System Username: remi

Comment 1 Remi Collet 2013-02-10 17:04:08 UTC
*** Bug 785496 has been marked as a duplicate of this bug. ***

Comment 2 Shawn Iwinski 2013-02-24 04:17:01 UTC
$ rpmlint ./php-horde-Horde-History-2.0.1-2.remi.src.rpm 
php-horde-Horde-History.src: E: unknown-key GPG#00f97f56
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

When searching for GPG key 00f97f56 it is marked as revoked.

Comment 5 Shawn Iwinski 2014-01-10 03:03:29 UTC
Created attachment 847985 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0

Comment 6 Shawn Iwinski 2014-01-10 03:04:13 UTC
Created attachment 847991 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --define EPEL5 -b 909713
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, BATCH, DISTTAG

Comment 7 Shawn Iwinski 2014-01-10 03:05:02 UTC
Issues:
=======
- EPEL5 requires explicit %clean with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
- EPEL5: Package does run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
  beginning of %install.

Comment 9 Shawn Iwinski 2014-01-10 19:18:50 UTC
[x] EPEL5 requires explicit %clean with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
[x] EPEL5: Package does run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
    beginning of %install.


No blockers.


===== APPROVED =====

Comment 10 Remi Collet 2014-01-11 06:07:16 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-horde-Horde-History
Short Description: API for tracking the history of an object
Owners: remi
Branches: f20 el6
InitialCC:

Comment 11 Gwyn Ciesla 2014-01-13 13:11:46 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2014-01-14 05:22:25 UTC
php-horde-Horde-History-2.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-History-2.2.1-2.fc20

Comment 13 Fedora Update System 2014-01-14 05:22:36 UTC
php-horde-Horde-History-2.2.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-History-2.2.1-2.el6

Comment 14 Fedora Update System 2014-01-14 20:57:49 UTC
php-horde-Horde-History-2.2.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2014-01-23 11:14:15 UTC
php-horde-Horde-History-2.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2014-01-29 21:23:46 UTC
php-horde-Horde-History-2.2.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.